Skip to main content
POST
Stamp an issued Punch Card

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

punchCardId
string
required

ID of the Punch Card

punchCaissuedPunchCardIdrdId
string
required

ID of the issued Punch Card to stamp

Body

application/json
stamps
integer
required

Amount of punches to stamp

Example:

1

Response

The stamped issued Punch Card

A bought punch card

id
string

ID of the bought punch card, always starting with pcb_.

Example:

"pcb_abc12345def678"

punchCardId
string

ID of the punch card which is bought

Example:

"pcd_abc12345def678"

customerId
string

ID of the customer who owns this bought punch card

Example:

"cst_abc12345def678"

punchesLeft
integer

Indicates how many punches are left before the card is fully used

Example:

17

status
string

Actual status of the bought card. Can be active, expired or fully_used.

Example:

"active"

expiresAt
string

Date and time when the bought card will expire, written in ATOM format. Remains null when the card will not expire at all.

Example:

"2028-11-19T21:00:00+02:00"

issuedAt
string

Date and time when the card was issued to or bought by the customer. Written in ATOM format.

Example:

"2025-11-19T21:00:00+02:00"